Subject: Re: [bess] Questions about draft-ietf-bess-evpn-yang-07

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 6 Jan 2021 16:52:00 +0000

Hi all,
This is a gentle reminder: I have not received any responses to my questions.

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

From: Alexander Vainshtein
Sent: Wednesday, November 25, 2020 5:51 PM
To: [email-masked]' <[email-masked]>; [email-masked]' <[email-masked]>; [email-masked]' <[email-masked]>; [email-masked]' <[email-masked]>; [email-masked]' <[email-masked]>
Cc: [email-masked]; Michael Gorokhovsky <[email-masked]>
Subject: Questions about draft-ietf-bess-evpn-yang-07
Importance: High

Hi all,
I have a few questions about the Yang Data Model for EVPN<https://tools.ietf.org/html/draft-ietf-bess-evpn-yang-07> draft:

1.       This draft has expired more than a year ago. Are there any plans to continue this work, or have the authors and/or the WG decided to drop this work? (For the reference, the WG Charter still shows submission of such a document to the IESG as a milestone with the due date Dec-2020, and refers this draft for this milestone)

2.       Can you please clarify the meaning of the service-type leaf in the ethernet-segment container:

a.       This attribute is defined as a read-only string and the description says just "service-type"

b.       I have not found any usage for this attribute in any document you list as the references

3.       Can you please to explain why the vpn-route-targets in the diagram  in Section 3.2 is defined as read-write?

a.       There only leaf in the rd-rt list in the bgp-parameters container for the Ethernet segment  in Section 4.1 is route-distinguisher which presumably represents the RD of the local representation of the Ethernet Segment

b.       To the best of my understanding, an Ethernet Segment is associated with the export RTs of all the MAC-VRFs that are attached to it, i.e., you cannot explicitly associate an  RT value with an Ethernet Segment

4.       I assume that the Boolean ead-evi-route leaf in the same container is used for suppression of advertisement of per EVI EVPN Type 1 routes for MAC-VRFs that are attached to the Ethernet Segment in question:

a.       Is this correct?

b.       If yes, then why is the default for this leaf is false (i.e. by default advertisement of these routes is suppressed)?

5.       Can you please clarify what exactly the read-only member list in the ethernet-segment container represents?

a.       The syntax is defined as ip-address

b.       The description only says "member of the ethernet segment"

6.       Can you please explain what the read-write evi leaf in the evpn-instances container represents?

a.       The syntax is defined as unit32

b.       The description only says "evi".
Your feedback would be highly appreciated.

Regards, and lots of thanks in advance,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]<mailto:[email-masked]>

-----------------------------------------------------------------------------------------------------------------------
Notice: This e-mail together with any attachments may contain information of Ribbon Communications Inc. that
is confidential and/or proprietary for the sole use of the intended recipient.  Any review, disclosure, reliance or
distribution by others or forwarding without express permission is strictly prohibited.  If you are not the intended
recipient, please notify the sender immediately and then delete all copies, including any attachments.
-----------------------------------------------------------------------------------------------------------------------